import request from '@/utils/request'

// 查询MemberWithdrawalLog列表
export function listMemberWithdrawalLog(query) {
    return request({
        url: '/api/v1/member-withdrawal-log',
        method: 'get',
        params: query
    })
}

// 查询MemberWithdrawalLog详细
export function getMemberWithdrawalLog (id) {
    return request({
        url: '/api/v1/member-withdrawal-log/' + id,
        method: 'get'
    })
}


// 新增MemberWithdrawalLog
export function addMemberWithdrawalLog(data) {
    return request({
        url: '/api/v1/member-withdrawal-log',
        method: 'post',
        data: data
    })
}

// 修改MemberWithdrawalLog
export function updateMemberWithdrawalLog(data) {
    return request({
        url: '/api/v1/member-withdrawal-log/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除MemberWithdrawalLog
export function delMemberWithdrawalLog(data) {
    return request({
        url: '/api/v1/member-withdrawal-log',
        method: 'delete',
        data: data
    })
}

//确认提现申请

export function approve(data){
    return request({
        url: '/api/v1/member-withdrawal-log/approve',
        method: 'put',
        data: data
    })
}

//到账提现申请
export function confirm(data){
    return request({
        url: '/api/v1/member-withdrawal-log/confirm',
        method: 'put',
        data: data
    })
}